// pages/livehome/livehome.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    prodUrl:app.globalData.prodUrl,

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    let _this = this;
    wx.request({
      url: app.globalData.prodUrl + 'web-pm/wx/pm/list_live_item',
      data: '',
      header: { 'ydw-token': wx.getStorageSync('key').ydw_token },
      method: 'GET',
      dataType: 'json',
      responseType: 'text',
      success: function(data) {
        console.log(data.data)
        _this.setData({
            playData: data.data.data,
        })
      }
    })
    setInterval(() => {
      var a = Math.floor(Math.random() * (100 - 20 + 1) + 20);
      _this.setData({
        onlineCount: a
      })
    }, 2000)
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
    let _this = this;
    wx.request({
      url: app.globalData.prodUrl + 'web-pm/wx/pm/list_live_item',
      data: '',
      header: { 'ydw-token': wx.getStorageSync('key').ydw_token },
      method: 'GET',
      dataType: 'json',
      responseType: 'text',
      success: function (data) {
        var reg = /^2\d{2}$/;
        if (reg.test(data.statusCode)) {
          _this.setData({
            playData: data.data.data
          })
          wx.showToast({
            title: '数据加载成功',
            icon: 'none'
          });
          wx.stopPullDownRefresh({
            success: function () {
            }
          });
        } else {
          wx.showToast({
            title: '数据获取失败',
            icon: 'none'
          });
        };
       
      }
    })
  }
})